from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from app.database import get_db

router = APIRouter(
    prefix="/health",
    tags=["Health"]
)

@router.get("/")
async def health_check(db: Session = Depends(get_db)):
    try:
        # Check if database is accessible
        db.execute("SELECT 1")
        return {"status": "healthy", "database": "connected"} 
    except Exception as e:
        return {"status": "unhealthy", "database": "disconnected", "error": str(e)}